%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/AzureAD/microsoft-authentication-library-for-go
Version:                1.0.0

%gometa


%global common_description %{expand:
The MSAL library for Go is part of the Microsoft identity platform for
developers (formerly named Azure AD) v2.0. It enables you to acquire security
tokens to call protected APIs. It uses industry standard OAuth2 and OpenID
Connect.}

%global golicenses      LICENSE
%global godocs          CODE_OF_CONDUCT.md CONTRIBUTING.md SECURITY.md\\\
                        changelog.md RELEASES.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        The MSAL library for Go

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
